Skip to main content
Version: 1.1.0

Bulk Gates App API V2

Bulk Gates App API V2.

The API base URL is:

  • http://api{separator}{platform_domain}/bulk/gates/v2
  • https://api{separator}{platform_domain}/bulk/gates/v2

Note: Replace {platform_domain} with your platform domain. {separator} can be either . or -, depending on your platform configuration.

1. Getting credentials

In order to be able to use the API, you need to provide your app information (name and IP address(es) from which your app will access our APIs) to our support team. It is expected that your app will be a server-side implementation and as such will use the OAuth2 client credentials grant type.

In return, the support team will create an API account for your app and you will be given: client_id and client_secret credentials.

2. Authorization

In order to be able to call any API endpoint, you need to obtain a valid access token. Each access token has an expiration time so you need to obtain a new one if the existing one is expired. Here's a cURL example of how an access token can be obtained (please replace CLIENT_ID and CLIENT_SECRET with the ones you were given in the previous step):

  curl https://accounts{separator}{platform_domain}/oauth2/access-token -d 'grant_type=client_credentials&client_id=CLIENT_ID&client_secret=CLIENT_SECRET'

If the parameters are valid, and the call is made from the authorized IP address, the server will respond with JSON containing the access token:

  {"access_token":"ACCESS_TOKEN","token_type":"Bearer","expires_in":604800}

Use this access token in the Authorization header of every subsequent API call:

  Authorization: Bearer ACCESS_TOKEN